import { renderless, api } from "@dftvue2-opentiny/vue-renderless/wizard/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import Button from "@dftvue2-opentiny/vue-button";
import UserContact from "@dftvue2-opentiny/vue-user-contact";
import { iconSuccessful, iconMarkOn, iconTriangleDown } from "@dftvue2-opentiny/vue-icon";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["data", "pageGuide", "timeLineFlow", "vertical"]),
  emits: ["btnPrev", "btnNext", "btnSave", "btnSubmit", "node-click"],
  components: {
    TinyButton: Button,
    TinyUserContact: UserContact,
    TinyIconSuccessful: iconSuccessful(),
    TinyIconMarkOn: iconMarkOn(),
    TinyIconTriangleDown: iconTriangleDown()
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-wizard"
  }, [!_vm.vertical ? _c("div", {
    staticClass: "tiny-wizard__nomarl"
  }, [_c("ul", {
    staticClass: "tiny-wizard__steps"
  }, _vm._l(_vm.state.datas, function(item, index) {
    return _c("li", {
      key: index,
      staticClass: "tiny-wizard__steps-item",
      class: [{
        "is-ready": item.status === _vm.state.ready,
        "is-doing": item.status === _vm.state.doing
      }]
    }, [_c("div", {
      staticClass: "tiny-wizard__chart"
    }, [_c("span", {
      staticClass: "tiny-wizard__chart-line"
    }), _vm.pageGuide && item.status === _vm.state.doing ? _c("span", {
      staticClass: "tiny-wizard__chart-svg"
    }, [_c("tiny-icon-mark-on", {
      on: {
        "click": function click($event) {
          return _vm.nodeClick(item, index, $event);
        }
      }
    })], 1) : _c("span", {
      staticClass: "tiny-wizard__chart-icon statues",
      on: {
        "click": function click($event) {
          return _vm.nodeClick(item, index, $event);
        }
      }
    }, [_vm._v(_vm._s(index + 1))]), _c("span", {
      staticClass: "tiny-wizard__chart-line"
    })]), _c("div", {
      staticClass: "tiny-wizard__name"
    }, [_vm._t("base", function() {
      return [_c("span", {
        staticClass: "name"
      }, [_vm._v(_vm._s(item.name))])];
    }, {
      "slotScope": item
    })], 2)]);
  }), 0), _vm.pageGuide ? _c("div", {
    staticClass: "tiny-wizard__button"
  }, [_vm._t("stepbutton", function() {
    return [_c("tiny-button", {
      attrs: {
        "reset-time": 0
      },
      on: {
        "click": _vm.lastStepHandle
      }
    }, [_vm._v(_vm._s(_vm.t("ui.wizard.previousStep")))]), _c("tiny-button", {
      attrs: {
        "reset-time": 0
      },
      on: {
        "click": _vm.btnSaveHandle
      }
    }, [_vm._v(_vm._s(_vm.t("ui.wizard.save")))]), _c("tiny-button", {
      attrs: {
        "reset-time": 0
      },
      on: {
        "click": _vm.nextStepHandle
      }
    }, [_vm._v(_vm._s(_vm.t("ui.wizard.nextStep")))]), _vm.state.submitShow ? _c("tiny-button", {
      attrs: {
        "reset-time": 0
      },
      on: {
        "click": _vm.submitHandle
      }
    }, [_vm._v(_vm._s(_vm.t("ui.wizard.submit")))]) : _vm._e()];
  })], 2) : _vm._e()]) : _vm._e(), _vm.vertical ? _c("div", {
    staticClass: "tiny-wizard__vertical",
    class: {
      "is-time-line-flow": _vm.timeLineFlow
    }
  }, [_c("ul", {
    staticClass: "tiny-wizard__steps"
  }, _vm._l(_vm.state.datas, function(item, index) {
    return _c("li", {
      key: index,
      staticClass: "tiny-wizard__steps-item",
      class: [{
        "is-ready": item.status === _vm.state.ready,
        "is-doing": item.status === _vm.state.doing,
        "is-time-line-ready": _vm.timeLineFlow && item.nodeStatus === _vm.state.ready,
        "is-time-line-doing": _vm.timeLineFlow && item.nodeStatus === _vm.state.doing
      }]
    }, [_c("div", {
      staticClass: "tiny-wizard__node-wrapper"
    }, [_vm.timeLineFlow ? _c("div", {
      staticClass: "tiny-wizard__date",
      on: {
        "click": function click($event) {
          return _vm.showNode(item, index, $event);
        }
      }
    }, [_c("span", [_vm._v(_vm._s(item.date))]), _c("span", {
      staticClass: "tiny-wizard__date-wrapper"
    }, [_c("tiny-icon-triangle-down", {
      staticClass: "date-icon"
    })], 1)]) : _vm._e(), _c("div", {
      staticClass: "tiny-wizard__chart-line",
      class: {
        "is-time-line": _vm.timeLineFlow
      }
    }, [!_vm.timeLineFlow ? _c("div", {
      staticClass: "tiny-wizard__chart-icon",
      on: {
        "click": function click($event) {
          return _vm.showNode(item, index, $event);
        }
      }
    }, [_vm._v(" " + _vm._s(index + 1) + " ")]) : _vm._e(), _vm.timeLineFlow ? _c("span", {
      staticClass: "tiny-wizard__time-wrapper"
    }, [_c("tiny-icon-successful", {
      on: {
        "click": function click($event) {
          return _vm.showNode(item, index, $event);
        }
      }
    })], 1) : _vm._e()]), !_vm.timeLineFlow ? _c("div", {
      staticClass: "tiny-wizard__chart-name",
      on: {
        "click": function click($event) {
          return _vm.showNode(item, index, $event);
        }
      }
    }, [_vm._t("vertical", function() {
      return [_c("span", {
        staticClass: "name"
      }, [_vm._v(_vm._s(item.name))]), item.showNode && item.content ? _c("span", {
        staticClass: "children-name"
      }, [_vm._v(_vm._s(item.content))]) : _vm._e()];
    }, {
      "slotScope": item
    })], 2) : _vm._e()]), _vm.timeLineFlow ? _c("ul", [item.showNode ? _vm._l(item.value, function(value, index2) {
      return _c("li", {
        key: index2,
        staticClass: "tiny-wizard__chart-children",
        class: [{
          "is-ready": value.status === _vm.state.ready,
          "is-doing": value.status === _vm.state.doing
        }]
      }, [_c("div", {
        staticClass: "tiny-wizard__date time-line-text"
      }, [_vm._v(" " + _vm._s(value.time) + " ")]), _c("div", {
        staticClass: "tiny-wizard__chart-line"
      }, [_c("div", {
        staticClass: "tiny-wizard__chart-icon time-line-icon",
        on: {
          "click": function click($event) {
            return _vm.nodeClick(value, index2, $event);
          }
        }
      })]), _c("div", {
        staticClass: "tiny-wizard__chart-detail"
      }, [_c("div", {
        staticClass: "detail-title"
      }, [_vm._v(_vm._s(value.name))]), _c("tiny-user-contact", {
        attrs: {
          "data": value
        }
      })], 1)]);
    }) : _vm._e()], 2) : _vm._e()]);
  }), 0)]) : _vm._e()]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
